/*
************************************************************************************************************************
*                                                         eGON
*                                         the Embedded GO-ON Bootloader System
*
*                             Copyright(C), 2006-2008, SoftWinners Microelectronic Co., Ltd.
*											       All Rights Reserved
*
* File Name : Boot1_head.c
*
* Author : Gary.Wang
*
* Version : 1.1.0
*
* Date : 2007.11.06
*
* Description : This file defines the file head part of Boot1, which contains some important
*             infomations such as magic, platform infomation and so on, and MUST be allocted in the
*             head of Boot1.
*
* Others : None at present.
*
*
* History :
*
*  <Author>        <time>       <version>      <description>
*
* Gary.Wang       2007.11.06      1.1.0        build the file
*
************************************************************************************************************************
*/
#include "include.h"



const boot1_file_head_t  BT1_head = {
	                                  {
	      /* jump_instruction */          ( 0xEA000000 | ( ( ( sizeof( boot1_file_head_t ) + sizeof( int ) - 1 ) / sizeof( int ) - 2 ) & 0x00FFFFFF ) ),
							   		      BOOT1_MAGIC,
							   		      STAMP_VALUE,
							   		      0,
							   		      0,
							   		      0x4000,
							   		      BOOT1_FILE_HEAD_VERSION,
							   		      BOOT1_VERSION,
							   		      EGON_VERSION,
							   		      {
							   		      	'2','.','0','.','0',0,0,0
							   		      },
							 	      },
							 	      {
							 	      	  sizeof( boot1_file_head_t ),
							 	      	  BOOT1_PRVT_HEAD_VERSION,
							 	      	  0,
							 	      	  { 0 },
							 	      	  { 0 },
							 	      	  { 0 },
							 	      	  { 0 },
							 	      	  0,
							 	      	  { 0 },
							 	      	  0,
							 	      	  0,
							 	      	  0,
							 	      	  0,
							 	      	  0,
							 	      	  { 0 },
							 	      	  { 0 }
							 	      }
							 	  };








/*******************************************************************************
*
*                  Boot_file_headеjump_instructionֶ
*
*  jump_instructionֶδŵһתָ( B  BACK_OF_Boot_file_head )
*תָִк󣬳תBoot_file_headһָ
*
*  ARMָеBָ£
*          +--------+---------+------------------------------+
*          | 31--28 | 27--24  |            23--0             |
*          +--------+---------+------------------------------+
*          |  cond  | 1 0 1 0 |        signed_immed_24       |
*          +--------+---------+------------------------------+
*  ARM Architecture Reference Manualڴָ½ͣ
*  Syntax :
*  B{<cond>}  <target_address>
*    <cond>    Is the condition under which the instruction is executed. If the
*              <cond> is ommitted, the AL(always,its code is 0b1110 )is used.
*    <target_address>
*              Specified the address to branch to. The branch target address is
*              calculated by:
*              1.  Sign-extending the 24-bit signed(wro's complement)immediate
*                  to 32 bits.
*              2.  Shifting the result left two bits.
*              3.  Adding to the contents of the PC, which contains the address
*                  of the branch instruction plus 8.
*
*  ɴ˿ָ֪8λΪ0b1110101024λBoot_file_headĴС
*̬ɣָװ£
*  ( sizeof( boot_file_head_t ) + sizeof( int ) - 1 ) / sizeof( int )    ļͷ
*                                              ռõġ֡ĸ
*  - 2                                         ȥPCԤȡָ
*  & 0x00FFFFFF                                signed-immed-24
*  | 0xEA000000                                װBָ
*
*******************************************************************************/
